Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 620772 - net-im/psimedia removal request
Summary: net-im/psimedia removal request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard: Pending removal: 2017-08-14
Keywords: PMASKED
Depends on:
Blocks: 511462 482916 508142 508144 527936 532170 gst-0.10-removal 563752 564446
  Show dependency tree
 
Reported: 2017-06-04 11:02 UTC by Pacho Ramos
Modified: 2018-03-23 05:54 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2017-06-04 11:02:30 UTC
Only optionally needed by net-im/psi (a QT4 jabber client that looks stalled since 2012 and maybe we could also try to treeclean is nobody wants to take care of it) and requires gstreamer:0.10
Comment 1 Marian Kyral 2017-07-14 14:43:15 UTC
Please note that upstream moved to github: https://github.com/psi-im and versions 1.0 and 1.0.1 of psi were already released:  https://github.com/psi-im/psi/releases
Comment 2 Karl-Johan Karlsson 2017-07-14 18:14:25 UTC
Yes, please don't just remove net-im/psi without actively trying to find a new maintainer. The project is not dead, as can be clearly seen on GitHub, and I'm happily running the live Git ebuild (since 1.0 and 1.0.1 haven't made it into Portage).
Comment 3 Karl-Johan Karlsson 2017-07-14 20:09:25 UTC
Instead of deleting Psi outright, maybe look at what the Rion overlay is doing with it? They offered to proxy maintain in bug 564446, and their comments when adding net-im/psi-1.0 to their overlay suggest they're working on that (see e.g. https://github.com/rion-overlay/rion-overlay/commit/2f8c297cc6d65cb34671ebaae70f126889430d00 ).
Comment 4 Andreas Sturmlechner gentoo-dev 2017-07-14 20:28:29 UTC
(In reply to Karl-Johan Karlsson from comment #3)
> They offered to proxy maintain in bug 564446, and their comments when adding
> net-im/psi-1.0 to their overlay suggest they're working on that
No one is stopping them from doing that, alas, no ebuild has been submitted yet.
Comment 5 Rion 2017-07-15 10:37:29 UTC
I'm ready to release Psi 1.1.
May be even today. I'll make a pull request with ebuild.
It will be the last version with Qt4 support.

Regarding psimedia. It's optional package and it never worked good. So it's fine to remove it from portage. One day I'll fix it.
Comment 6 Andreas Sturmlechner gentoo-dev 2017-07-27 20:47:24 UTC
@Pacho, when we accept net-im/psi-1.2 in tree, do we

a) keep the p.mask for <psi-1.0 and amend the comment for 1.2 public service info
b) immediately drop psi-0.15 as there is then 1.2 in ~arch
c) just drop the psi mask again and remove 0.15 after 1.2 stable (least favored)
Comment 7 Pacho Ramos gentoo-dev 2017-07-28 09:17:02 UTC
I would add the fixed version to the tree, drop old the other versions (and psimedia that, if I don't misremember, was not going to be fixed) and drop the mask for psi
Comment 8 Rion 2017-07-28 09:18:51 UTC
It seems we are going to have fixed psimedia soon.
I'll provide ebuilds regardless if it's already removed from the tree or not.
Comment 9 Rion 2017-07-28 09:19:58 UTC
but anyway our fixed version still uses gstreamer-0.10
Comment 10 Pacho Ramos gentoo-dev 2017-07-28 09:22:51 UTC
Is the package (psimedia) really needed? I have tried to look for any non-upstream patch to port it to gst-1.0 but, for example, I saw that debian already dropped the package because of that issue :/
Comment 11 Pacho Ramos gentoo-dev 2017-07-28 09:25:11 UTC
Also, Arch maintainers look to be going to also drop it for the same reason:
https://bugs.archlinux.org/task/52642
https://github.com/psi-im/psimedia/issues/4
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=785891
Comment 12 Rion 2017-07-28 09:26:48 UTC
Well it's optional.
But it would be nice to have voice calls.
For now it's proven to work on OS X with Qt5.

Also I have halfly ported to gstreamer 1.0 sources. Unfortunately for now I don't have enough spare time to finish it.

You can drop it. Up to you. in any case we have overlays :-)
Comment 13 Andreas Sturmlechner gentoo-dev 2017-07-31 22:16:57 UTC
Let's start with a clean slate wrt net-im/psi, we can re-add psimedia whenever it was ported to gstreamer-1.0.
Comment 14 Baptiste MARÉCHAL 2017-08-04 15:27:49 UTC
Hello guys,

A quick message to let you know I'm an active user of psimedia. I've struggled installing it on my current system and poked Ri0n on github about that.

Wish I could help you Ri0n with the gst port, but the coming months are to be quite busy for me... ;(
Comment 15 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-08-14 07:32:36 UTC
I'm sorry, guys, but all things considered we're going to remove this now. We'd be happy to reintroduce it once a fixed version is supplied.

commit fe998e1422e3ff1b0f9a83170eb32e7e72190208
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: Mon Aug 14 09:23:33 2017
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: Mon Aug 14 09:28:17 2017

    net-im/psimedia: Remove last-rited pkg, #620772

 net-im/psimedia/Manifest                           |  1 -
 .../psimedia-1.0.3-drop-v4lsrc-gst-plugin.patch    | 51 -------------
 .../psimedia/files/psimedia-1.0.3-glib2.32.patch   | 52 -------------
 .../psimedia-1.0.3-linux-headers-2.6.38.patch      | 86 ----------------------
 net-im/psimedia/metadata.xml                       |  8 --
 net-im/psimedia/psimedia-1.0.3-r3.ebuild           | 76 -------------------
 profiles/package.mask                              |  4 -
 7 files changed, 278 deletions(-)